Subject: bug#16762: Installed packages are not considered part of the archive contents

From: Johan Andersson <[email-masked]>
Date: Sat, 15 Feb 2014 17:06:09 +0100

Hi,

I have noticed a change of behavior in package.el between version 24.3.1
and current snapshot version.

In snapshot, if a package is installed with the most recent version, it is
not added to the variable package-archive-contents. I don't know the reason
for this, but I don't think it makes sense. Even if the package is
installed, it is still part of the package archives in my opinion.

You have to realize that other packages (such as https://github.com/cask/epl)
depend on the internals of package.el because it does not have an API (for
some reason). Considering Epl is a dependency to Cask and a lot of people
are using Cask, this change will affect many users.

With this change, how can I know if a package is available, no matter if
it's installed or not?

Thanks!